Bug 1019014 - opensips won't start - nonexistant opensips-m4cfg
Summary: opensips won't start - nonexistant opensips-m4cfg
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: opensips
Version: 23
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Peter Lemenkov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-10-15 00:27 UTC by Ian Donaldson
Modified: 2015-08-07 13:17 UTC (History)
3 users (show)

Fixed In Version: opensips-1.10.5-2.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-06 19:34:16 UTC


Attachments (Terms of Use)

Description Ian Donaldson 2013-10-15 00:27:10 UTC
Description of problem:

opensips 1.10.0-1 won't start as the systemd config has ExecStartPre 
reference to non-existant file /usr/sbin/opensips-m4cfg

Version-Release number of selected component (if applicable):

opensips-1.10.0-1.fc19.x86_64


# cat /lib/systemd/system/opensips.service
[Unit]
Description=OpenSIPS is a very fast and flexible SIP (RFC3261) server
After=network.target mysqld.service postgresql.service rtpproxy.service

[Service]
Type=forking
User=opensips
Group=opensips
EnvironmentFile=-/etc/sysconfig/opensips
PIDFile=/var/run/opensips/opensips.pid
ExecStart=/usr/sbin/opensips -P /var/run/opensips/opensips.pid -f /etc/opensips/opensips.cfg $OPTIONS
ExecStartPre=/usr/sbin/opensips-m4cfg

[Install]
WantedBy=multi-user.target


How reproducible:

100%

Steps to Reproduce:
1. systemctl enable opensips 
2. systemctl start opensips
3. ps -ef|grep opensips

Actual results:

no opensips running


# systemctl status opensips
opensips.service - OpenSIPS is a very fast and flexible SIP (RFC3261) server
   Loaded: loaded (/usr/lib/systemd/system/opensips.service; enabled)
   Active: failed (Result: exit-code) since Tue 2013-10-15 00:22:38 UTC; 15s ago
  Process: 3963 ExecStartPre=/usr/sbin/opensips-m4cfg (code=exited, status=203/EXEC)
 Main PID: 3885 (code=exited, status=0/SUCCESS)
   CGroup: name=systemd:/system/opensips.service

Oct 15 00:22:38 cheddar systemd[3963]: Failed at step EXEC spawning /usr/sbin/opensips-m4cfg: No such file or directory
Oct 15 00:22:38 cheddar systemd[1]: opensips.service: control process exited, code=exited status=203
Oct 15 00:22:38 cheddar systemd[1]: Failed to start OpenSIPS is a very fast and flexible SIP (RFC3261) server.
Oct 15 00:22:38 cheddar systemd[1]: Unit opensips.service entered failed state.


# rpm -q opensips
opensips-1.10.0-1.fc19.x86_64

# ls -l /usr/sbin/opensips-m4cfg
ls: cannot access /usr/sbin/opensips-m4cfg: No such file or directory


Expected results:

opensips running



Additional info:

Worked fine in opensips-1.9.1-1.fc19.x86_64, which had no ExecStartPre entry.

Workaround:  edit /lib/systemd/system/opensips.service and comment
out the ExecStartPre entry, or maybe create a dummy shell script /usr/sbin/opensips-m4cfg that has just an 'exit 0' in it.

Comment 1 infove 2014-04-19 20:03:39 UTC
Experiencing the same issue:

Apr 19 15:59:00 lion sudo[20286]: root : TTY=pts/3 ; PWD=/etc/opensips ; USER=root ; COMMAND=/sbin/opensipsctl start
Apr 19 15:59:00 lion sudo[20286]: pam_limits(sudo:session): invalid line 'soft nofile 4096' - skipped
Apr 19 15:59:00 lion sudo[20286]: pam_limits(sudo:session): invalid line 'hard nofile 4096' - skipped
Apr 19 16:00:35 lion systemd[1]: Starting OpenSIPS is a very fast and flexible SIP (RFC3261) server...
-- Subject: Unit opensips.service has begun with start-up
-- Defined-By: systemd
-- Support: http://lists.freedesktop.org/mailman/listinfo/systemd-devel
-- 
-- Unit opensips.service has begun starting up.
Apr 19 16:00:35 lion systemd[20348]: Failed at step EXEC spawning /usr/sbin/opensips-m4cfg: No such file or directory
-- Subject: Process /usr/sbin/opensips-m4cfg could not be executed
-- Defined-By: systemd
-- Support: http://lists.freedesktop.org/mailman/listinfo/systemd-devel
-- 
-- The process /usr/sbin/opensips-m4cfg could not be executed and failed.
-- 
-- The error number returned while executing this process is 2.
Apr 19 16:00:35 lion systemd[1]: opensips.service: control process exited, code=exited status=203
Apr 19 16:00:35 lion systemd[1]: Failed to start OpenSIPS is a very fast and flexible SIP (RFC3261) server.
-- Subject: Unit opensips.service has failed
-- Defined-By: systemd
-- Support: http://lists.freedesktop.org/mailman/listinfo/systemd-devel
-- 
-- Unit opensips.service has failed.
-- 
-- The result is failed.
Apr 19 16:00:35 lion systemd[1]: Unit opensips.service entered failed state.

Comment 2 Ian Donaldson 2014-05-13 01:43:38 UTC
opensips-1.10.1-1.fc19.x86_64

has the same issue

Comment 3 Ian Donaldson 2014-05-13 01:46:08 UTC
Created dummy /usr/sbin/opensips-m4cfg that has just an 'exit 0' in it
as a workaround.  chmod 755.

$ cat /usr/sbin/opensips-m4cfg
#! /bin/sh
exit 0

Comment 4 Fedora End Of Life 2015-01-09 22:20:26 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2015-02-18 11:36:51 UTC
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 6 Ian Donaldson 2015-02-18 22:58:17 UTC
Still evident in opensips-1.10.3-1.fc21.x86_64

Reopening for FC21

Comment 7 Fedora Update System 2015-06-12 14:44:50 UTC
opensips-1.10.5-3.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/opensips-1.10.5-3.el7

Comment 8 Fedora Update System 2015-06-12 14:44:59 UTC
opensips-1.10.5-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/opensips-1.10.5-2.fc22

Comment 9 Fedora Update System 2015-06-12 14:45:08 UTC
opensips-1.10.5-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/opensips-1.10.5-2.fc21

Comment 10 Fedora Update System 2015-06-13 19:35:58 UTC
Package opensips-1.10.5-3.el7:
* should fix your issue,
* was pushed to the Fedora EPEL 7 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing opensips-1.10.5-3.el7'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2015-6684/opensips-1.10.5-3.el7
then log in and leave karma (feedback).

Comment 11 Jan Kurik 2015-07-15 14:44:51 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 12 Fedora Update System 2015-08-06 19:34:16 UTC
opensips-1.10.5-3.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2015-08-07 13:07:03 UTC
opensips-1.10.5-2.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2015-08-07 13:17:14 UTC
opensips-1.10.5-2.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.